Overview
Shift inputs are used to add additional information to Time & Attendance time entries pertaining to the work performed or the conditions under which the work was performed.
Some examples include:
- The number of miles an employee drove.
- Issues the employee encountered during their shift.
- The type of equipment the employee used during their shift.
Available endpoints
| Endpoint | Description |
|---|---|
| GET List shift inputs | Lists existing shift inputs. |
| POST Create a new shift input | Creates a new shift input. name, prompt, type, and country_code are required. |
| GET Retrieve a specific shift input | Retrieves a shift input by id. |
| PATCH Update a shift input | Updates a shift input. |
| DELETE Delete a shift input | Deletes a shift input. |
Related endpoints:
| Endpoint | Description |
|---|---|
| POST Create a new time entry | Creates a new time entry. |
Suggested workflow
- Create a new shift input with
name,prompt,type, andcountry_code. - Fetch the new shift input and note the
id. - Create a new time entry and set
shift_input_values[].shift_input_idto the new shift inputid. Time entries can be modified until finalized, with the appropriate admin permissions.
Requirements
- The Rippling API SKU
- An API token with the following scopes:
shift-inputs.readto fetch shift inputsshift-inputs.read-writeto create or update shift inputstime-entries.read-writeto create a new time entry
Fetch
Use GET List shift inputs to return a list of shift inputs.
Request:
curl -L -X GET 'https://rest.ripplingapis.com/shift-inputs/'
-H 'Accept: application/json'
-H 'Authorization: Bearer REDACTED'
Response:
{
"__meta": {
"redacted_fields": []
},
"results": [
{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-17T21:37:32.953000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"managed_by": null
}
],
"next_link": null
}
| Response body fields | Description |
|---|---|
id | Shift input identifier. Use this as shift_input_id on a time entry. |
created_at | When the shift input was created. |
updated_at | When the shift input was last updated. |
creator_id | Worker who created the shift input. |
creator | Worker object. Returned when the request uses expand=creator. Otherwise null. |
name | Name of the shift unit. |
prompt | Prompt shown for the shift unit. |
type | Type of shift unit. Must be 'NUMBER', 'TEXT', 'BOOLEAN', or 'LIST'. |
country_code | Two-letter country code for this shift input. |
managed_by | Party that manages this shift input. |
Use GET Retrieve a specific shift input when you already have the shift input id.
Create
Use POST Create a new shift input to create a new shift input.
Request:
curl -L -X POST 'https://rest.ripplingapis.com/shift-inputs/'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer REDACTED'
Request body:
{
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"creator_id": "58d3a1f0e4b0a12c3d456789"
}
| Request body fields | Required | Description |
|---|---|---|
name | Yes | Name of the shift input. |
prompt | Yes | Prompt for the employee. |
type | Yes | Type of shift input. Must be 'NUMBER', 'TEXT', 'BOOLEAN', or 'LIST'. |
country_code | Yes | Two-letter country code. |
creator_id | No | Worker who created the shift input. |
Response:
{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-17T21:37:32.953000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "How many miles did you drive?",
"type": "number",
"country_code": "US",
"managed_by": null
}
Update
Use PATCH Update a shift input to modify an existing shift input. No fields are required, and include only the fields you are changing in the request body.
Request:
curl -L -X PATCH 'https://rest.ripplingapis.com/shift-inputs/66b26001a91aca1dfb199301/'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'Authorization: Bearer REDACTED'
Request body:
{
"prompt": "Enter the miles driven during this shift."
}
Response:
{
"id": "66b26001a91aca1dfb199301",
"created_at": "2026-03-17T21:37:32.953000+00:00",
"updated_at": "2026-03-18T15:04:11.120000+00:00",
"creator_id": "58d3a1f0e4b0a12c3d456789",
"creator": null,
"name": "Miles driven",
"prompt": "Enter the miles driven during this shift.",
"type": "number",
"country_code": "US",
"managed_by": null
}
Delete
Use DELETE Delete a shift input to remove a shift input. If a time entry is deleted, the shift input still exists.
Request:
curl -L -X DELETE 'https://rest.ripplingapis.com/shift-inputs/66b26001a91aca1dfb199301/'
-H 'Accept: application/json'
-H 'Authorization: Bearer REDACTED'
A successful delete returns 200 and no body.